<?php                                                                                                                                                        
/**                                                                                                                                                          
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com                                                                                                 
 * (c) 2007 Mandriva, http://www.mandriva.com/                                                                                                               
 * (c) 2007 Kids-und-Co g.e.V.
 *                                                                                                                                                           
 * $Id: publicFunc.php 109 2007-11-21 10:00:25Z iosifb $                                                                                                      
 *                                                                                                                                                           
 * This file is part of Mandriva Management Console (MMC).                                                                                                   
 *                                                                                                                                                           
 * MMC is free software; you can redistribute it and/or modify                                                                                               
 * it under the terms of the GNU General Public License as published by                                                                                      
 * the Free Software Foundation; either version 2 of the License, or                                                                                         
 * (at your option) any later version.                                                                                                                       
 *                                                                                                                                                           
 * MMC is distributed in the hope that it will be useful,                                                                                                    
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                                                                                            
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                                                                             
 * GNU General Public License for more details.                                                                                                              
 *                                                                                                                                                           
 * You should have received a copy of the GNU General Public License                                                                                         
 * along with MMC; if not, write to the Free Software                                                                                                        
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                                                                                
 */                                                                                                                                                          
?>
<?                                                                                                                                                           
                                                                                                                                                             
include ("user-xmlrpc.inc.php");                                                                                                                             

function _kerberos_changeUserPasswd($paramsArr) {
    if (hasKerberosAttr($paramsArr[0])) 
    	return xmlCall("kerberos.changePassword",$paramsArr);
}

function _kerberos_changeUser($postArr) {
    global $error;

    if ($error) return -1;

    if  (hasKerberosAttr($postArr["nlogin"])) { //if it is an kerberosUser
        if (!$postArr["isKerberos"]) {
            // Removing KERBEROS attributes
            rmKerberosAttr($postArr["nlogin"],$postArr["pass"]);
            global $result;
            $result .= _T("Kerberos attributes deleted.","kerberos")."<br />";
        } else {
            // 
            /*
             * Remove passwords from the $_POST array coming from the add/edit user page
             * because we don't want to send them again via RPC.
             */
            unset($postArr["pass"]);
            unset($postArr["confpass"]);
		}
    }
    else { //if not have kerberos attributes
        if ($postArr["isKerberos"]) {
            global $result;
            $result.=_T("Kerberos attributes added.","kerberos")."<br />";
            addKerberosAttr($postArr["nlogin"],$postArr["pass"]);
        }
    }
}


function _kerberos_verifInfo($postArr) {

    if ($postArr["isKerberos"]) {
        if (!hasKerberosAttr($postArr["nlogin"])) {
            if ($postArr["pass"]=="") { //if we not precise password
                global $error;
                $error.= _T("You must reenter your password.(kerberos)","kerberos")."<br />\n";
                setFormError("pass");
                return -1;
            }
        }
    }
    if (!$postArr["isKerberos"]) {
        if (hasKerberosAttr($postArr["nlogin"])) {
            if ($postArr["pass"]=="") { //if we not precise password
                global $error;
                $error.= _T("You must reenter your password.(kerberos)","kerberos")."<br />\n";
                setFormError("pass");
                return -1;
            }
        }
    }
}

                  
function _kerberos_baseEdit($ldapArr,$postArr){
    $checked = 'checked';

    //fetch ldap updated info if we can
    if ($ldapArr["uid"][0]) {

        $uid = $ldapArr["uid"][0];
        if (hasKerberosAttr($ldapArr["uid"][0])) {
            $checked = "checked";
        } else {
            $checked = "";
        }
    }

    //if we update a user but error when updating
    if ($postArr["buser"]) {
        if ($postArr["isKerberos"]) {
            $checked = "checked";
        } else {
            $checked = "";
        }
    }

    print "<div class=\"formblock\" style=\"background-color: #E0FFFF;\">";
    print "<h3>"._T("Kerberos user properties","kerberos")."</h3>\n";
    print '<table cellspacing="0">';

    $test = new TrFormElement(_T("Kerberos Account","kerberos"), new CheckboxTpl("isKerberos"));
    $test->setCssError("accesKrb");
    $param = array("value"=>$checked);
    $test->display($param);
    print '</table>'."\n";
    print '</div>';
}

?>